/*
 * $Id: MessageView.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/04/27
 */
package feat2.testapp.test11;

import feat2.CommandContext;
import feat2.View;
import feat2.config.ViewConfig;
import feat2.template.HTMLDocument;

public class MessageView implements View {

    private String message;
    private String elementId;

    public HTMLDocument format(HTMLDocument template, ViewConfig cfg,
            CommandContext ctx) throws Exception {

        template.findElement(elementId).setText(message);

        return template;
    }

    public void setElementId(String elementId) {
        this.elementId = elementId;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
